{
  lib,
  buildNpmPackage,
  fetchFromGitHub,
}:
buildNpmPackage rec {
  pname = "phanpy";
  version = "2024.04.04.65d51b0";

  src = fetchFromGitHub {
    owner = "cheeaun";
    repo = pname;
    rev = "${version}";
    hash = "sha256-BR+ZGkBBfd0dSQqAvujsbgsEPFYw/ThrylxUbOksYxM=";
  };

  npmDepsHash = "sha256-tuEfyePwlOy2/mOPdXbqJskO6IowvAP4DWg8xSZwbJw=";

  # The prepack script runs the build script, which we'd rather do in the build phase.
  npmPackFlags = ["--ignore-scripts"];

  meta = with lib; {
    description = "Minimalistic opinionated Mastodon web client.";
    homepage = "https://phanpy.social/";
    license = licenses.mit;
    maintainers = with maintainers; [Lillian-Violet];
  };
}
